#!/usr/bin/env python

# System imports
from distutils.core import *
from distutils      import sysconfig

# Third-party modules - we depend on numpy for everything
import numpy

# _Helper extension module
_helper = Extension("_helper",
                    ["helper_wrap.cxx",
                     "helper.cxx"],
                    include_dirs = [numpy.get_numpy_include()],
#                    libraries = ["m"]
                    )

# Helper setup
setup(name        = "Helper",
      description = "Functions that help with tcm",
      author      = "Per B. Sederberg",
      py_modules  = ["helper"],
      ext_modules = [_helper]
      )
